VELARISAPI Docs
Api referenceRenewals

Get renewal history

GET
/api/renewal/policy/{policyId}

Retrieve the full renewal history for a specific policy.

Path Parameters

policyId*string

Response Body

application/json

curl -X GET "https://example.com/api/renewal/policy/string"
[
  {
    "id": "string",
    "organizationPolicyId": "string",
    "organizationId": "string",
    "previousTermEnd": "2019-08-24",
    "newTermStart": "2019-08-24",
    "newTermEnd": "2019-08-24",
    "previousRate": 0,
    "newRate": 0,
    "rateAdjustment": {
      "reason": "string",
      "percentageChange": 0.1,
      "absoluteChange": 0
    },
    "status": "SCHEDULED",
    "failureReason": "string",
    "processedAt": "2019-08-24T14:15:22Z",
    "processedBy": "string",
    "createdBy": "string",
    "createdDate": "2019-08-24T14:15:22Z",
    "lastModifiedBy": "string",
    "lastModifiedDate": "2019-08-24T14:15:22Z",
    "version": 0
  }
]